#include <bits/stdc++.h>
using namespace std;
static string code[] = {".;","abc","def","ghi","jkl","mno","pqrs","tu","vwx","yz"};
void Print_KPC(string question, string answer){
    if (question.length() == 0)
    {
        /* code */
        cout<<answer<<endl;
        return;
    }
    char ch = question.at(0);
    string rest_of_question = question.substr(1);
    string code_for_ch = code[ch - '0'];
    for(int i = 0; i < code_for_ch.length(); i++)
    {
        char character_option = code_for_ch.at(i);
        Print_KPC(rest_of_question, answer + character_option);
    }
}
int main(){
    string str;
    cin>>str;
    Print_KPC(str, "");
    return 0;
}